Bug 1268921 - systemd-coredump[13310]: Process 1646 (kactivitymanage)
systemd-coredump[13310]: Process 1646 (kactivitymanage)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5 (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 12:15 EDT by David Jones
Modified: 2016-07-19 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:06:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrades performed (76.39 KB, text/plain)
2015-10-05 12:15 EDT, David Jones
no flags Details

  None (edit)
Description David Jones 2015-10-05 12:15:22 EDT
Created attachment 1079997 [details]
upgrades performed

Description of problem:

After upgrades I noticed a system coredump in dmesg.

Version-Release number of selected component (if applicable):

kf5-kactivities.x86_64 5.13.0-1.fc22 upgraded to 

kf5-kactivities.x86_64 5.14.0-1.fc22

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

systemd-coredump[13310]: Process 1646 (kactivitymanage) of user 1000 dumped core.
    
    Stack trace of thread 1646:
    #0  0x00007f5f6c034731 _ZN12QSqlDatabase5closeEv (libQt5Sql.so.5)
    #1  0x00007f5f6c035c99 _ZN12QSqlDatabaseD1Ev (libQt5Sql.so.5)
    #2  0x00007f5f6c037ccd _ZN5QHashI7QString12QSqlDatabaseE11deleteNode2EPN9QHashData4NodeE (libQt5Sql.so.5)
    #3  0x00007f5f8e4caba9 _ZN9QHashData11free_helperEPFvPNS_4NodeEE (libQt5Core.so.5)
    #4  0x00007f5f6c034403 _ZZN12_GLOBAL__N_112Q_QGS_dbDict13innerFunctionEvEN6HolderD2Ev (libQt5Sql.so.5)
    #5  0x00007f5f8d79d648 __run_exit_handlers (libc.so.6)
    #6  0x00007f5f8d79d695 exit (libc.so.6)
    #7  0x00007f5f7ee8204e _ZN14QXcbConnection16processXcbEventsEv (libQt5XcbQpa.so.5)
    #8  0x00007f5f8e678021 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5)
    #9  0x00007f5f8e6484e9 _ZN16QCoreApplication6notifyEP7QObjectP6QEvent (libQt5Core.so.5)
    #10 0x00007f5f8e64861b _ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent (libQt5Core.so.5)
    #11 0x00007f5f8e64aa16 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5)
    #12 0x00007f5f8e69e983 _ZL23postEventSourceDispatchP8_GSourcePFiPvES1_ (libQt5Core.so.5)
    #13 0x00007f5f8be30a8a g_main_context_dispatch (libglib-2.0.so.0)
    #14 0x00007f5f8be30e20 g_main_context_iterate.isra.29 (libglib-2.0.so.0)
    #15 0x00007f5f8be30ecc g_main_context_iteration (libglib-2.0.so.0)
    #16 0x00007f5f8e69edab _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
    #17 0x00007f5f8e645daa _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
    #18 0x00007f5f8e64de6c _ZN16QCoreApplication4execEv (libQt5Core.so.5)
    #19 0x00000000004113e4 main (kactivitymanagerd)
    #20 0x00007f5f8d784700 __libc_start_main (libc.so.6)
    #21 0x00000000004115e9 _start (kactivitymanagerd)
    
    Stack trace of thread 1653:
    #0  0x00007f5f8d85b2fd poll (libc.so.6)
    #1  0x00007f5f8be30dbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
    #2  0x00007f5f8be30ecc g_main_context_iteration (libglib-2.0.so.0)
    #3  0x00007f5f8e69ed8f _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
    #4  0x00007f5f8e645daa _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
    #5  0x00007f5f8e4625a4 _ZN7QThread4execEv (libQt5Core.so.5)
    #6  0x000000000041415a _ZZ12runInQThreadI9ResourcesEPT_vEN6Thread3runEv (kactivitymanagerd)
    #7  0x00007f5f8e46754e _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
    #8  0x00007f5f8c5c3555 start_thread (libpthread.so.0)
    #9  0x00007f5f8d866b9d __clone (libc.so.6)
    
    Stack trace of thread 1655:
    #0  0x00007f5f8d85b2fd poll (libc.so.6)
    #1  0x00007f5f8be30dbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
    #2  0x00007f5f8be30ecc g_main_context_iteration (libglib-2.0.so.0)
    #3  0x00007f5f8e69edab _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
    #4  0x00007f5f8e645daa _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
    #5  0x00007f5f8e4625a4 _ZN7QThread4execEv (libQt5Core.so.5)
    #6  0x00000000004141ba _ZZ12runInQThreadI8FeaturesEPT_vEN6Thread3runEv (kactivitymanagerd)
    #7  0x00007f5f8e46754e _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
    #8  0x00007f5f8c5c3555 start_thread (libpthread.so.0)
    #9  0x00007f5f8d866b9d __clone (libc.so.6)
    
    Stack trace of thread 1654:
    #0  0x00007f5f8d85b2fd poll (libc.so.6)
    #1  0x00007f5f8be30dbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
    #2  0x00007f5f8be30ecc g_main_context_iteration (libglib-2.0.so.0)
    #3  0x00007f5f8e69ed8f _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
    #4  0x00007f5f8e645daa _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
    #5  0x00007f5f8e4625a4 _ZN7QThread4execEv (libQt5Core.so.5)
    #6  0x000000000041418a _ZZ12runInQThreadI10ActivitiesEPT_vEN6Thread3runEv (kactivitymanagerd)
    #7  0x00007f5f8e46754e _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
    #8  0x00007f5f8c5c3555 start_thread (libpthread.so.0)
    #9  0x00007f5f8d866b9d __clone (libc.so.6)
    
    Stack trace of thread 2015:
    #0  0x00007f5f8d82ca5d __nanosleep (libc.so.6)
    #1  0x00007f5f8e517c3d _Z12qt_nanosleep8timespec (libQt5Core.so.5)
    #2  0x00007f5f8e46690b _ZN7QThread5sleepEm (libQt5Core.so.5)
    #3  0x00007f5f6c2762fe _ZN23ResourceScoreMaintainer7Private3runEv (kactivitymanagerd_plugin_sqlite.so)
    #4  0x00007f5f8e46754e _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
    #5  0x00007f5f8c5c3555 start_thread (libpthread.so.0)
    #6  0x00007f5f8d866b9d __clone (libc.so.6)
Comment 2 Anthony Messina 2016-02-28 22:03:58 EST
Also affects Fedora 23 on logout:

[root@ws1 ~]# coredumpctl info 1824
           PID: 1824 (kactivitymanage)
        Signal: 11 (SEGV)
     Timestamp: Sun 2016-02-28 21:00:04 CST (1min 5s ago)
  Command Line: /usr/bin/kactivitymanagerd start-daemon
    Executable: /usr/bin/kactivitymanagerd
 Control Group: /user.slice/user-1136600007.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1136600007.slice
       Session: 2
      Coredump: /var/lib/systemd/coredump/core.kactivitymanage.1136600007.4810a303e50b41e7a475afd107ee7eb2.1824.1456714804000000.xz
       Message: Process 1824 (kactivitymanage) of user 1136600007 dumped core.
                
                Stack trace of thread 1824:
                #0  0x00007fe7a9757731 _ZN12QSqlDatabase5closeEv (libQt5Sql.so.5)
                #1  0x00007fe7a9758c99 _ZN12QSqlDatabaseD1Ev (libQt5Sql.so.5)
                #2  0x00007fe7a975accd _ZN5QHashI7QString12QSqlDatabaseE11deleteNode2EPN9QHashData4NodeE (libQt5Sql.so.5)
                #3  0x00007fe7cd355979 _ZN9QHashData11free_helperEPFvPNS_4NodeEE (libQt5Core.so.5)
                #4  0x00007fe7a9757403 _ZZN12_GLOBAL__N_112Q_QGS_dbDict13innerFunctionEvEN6HolderD2Ev (libQt5Sql.so.5)
                #5  0x00007fe7cc62c658 __run_exit_handlers (libc.so.6)
                #6  0x00007fe7cc62c6a5 exit (libc.so.6)
                #7  0x00007fe7bc8b770e _ZN14QXcbConnection16processXcbEventsEv (libQt5XcbQpa.so.5)
                #8  0x00007fe7cd503161 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5)
                #9  0x00007fe7ce93641c _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #10 0x00007fe7ce93b8e6 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #11 0x00007fe7cd4d373b _ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent (libQt5Core.so.5)
                #12 0x00007fe7cd4d5b36 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5)
                #13 0x00007fe7cd529aa3 _ZL23postEventSourceDispatchP8_GSourcePFiPvES1_ (libQt5Core.so.5)
                #14 0x00007fe7caf08e3a g_main_context_dispatch (libglib-2.0.so.0)
                #15 0x00007fe7caf091d0 g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                #16 0x00007fe7caf0927c g_main_context_iteration (libglib-2.0.so.0)
                #17 0x00007fe7cd529eaf _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #18 0x00007fe7cd4d0eca _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #19 0x00007fe7cd4d8fac _ZN16QCoreApplication4execEv (libQt5Core.so.5)
                #20 0x0000557d6bbbdef4 main (kactivitymanagerd)
                #21 0x00007fe7cc613580 __libc_start_main (libc.so.6)
                #22 0x0000557d6bbbe0c9 _start (kactivitymanagerd)
                
                Stack trace of thread 1843:
                #0  0x00007fe7cc6e9fdd poll (libc.so.6)
                #1  0x00007fe7caf0916c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                #2  0x00007fe7caf0927c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007fe7cd529eaf _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #4  0x00007fe7cd4d0eca _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #5  0x00007fe7cd2ed434 _ZN7QThread4execEv (libQt5Core.so.5)
                #6  0x0000557d6bbc022a _ZZ12runInQThreadI9ResourcesEPT_vEN6Thread3runEv (kactivitymanagerd)
                #7  0x00007fe7cd2f23de _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                #8  0x00007fe7cb45160a start_thread (libpthread.so.0)
                #9  0x00007fe7cc6f5a4d __clone (libc.so.6)
                
                Stack trace of thread 1844:
                #0  0x00007fe7cc6e9fdd poll (libc.so.6)
                #1  0x00007fe7caf0916c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                #2  0x00007fe7caf0927c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007fe7cd529eaf _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #4  0x00007fe7cd4d0eca _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #5  0x00007fe7cd2ed434 _ZN7QThread4execEv (libQt5Core.so.5)
                #6  0x0000557d6bbc025a _ZZ12runInQThreadI10ActivitiesEPT_vEN6Thread3runEv (kactivitymanagerd)
                #7  0x00007fe7cd2f23de _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                #8  0x00007fe7cb45160a start_thread (libpthread.so.0)
                #9  0x00007fe7cc6f5a4d __clone (libc.so.6)
                
                Stack trace of thread 1845:
                #0  0x00007fe7cc6e9fdd poll (libc.so.6)
                #1  0x00007fe7caf0916c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                #2  0x00007fe7caf0927c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007fe7cd529ecb _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #4  0x00007fe7cd4d0eca _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #5  0x00007fe7cd2ed434 _ZN7QThread4execEv (libQt5Core.so.5)
                #6  0x0000557d6bbc028a _ZZ12runInQThreadI8FeaturesEPT_vEN6Thread3runEv (kactivitymanagerd)
                #7  0x00007fe7cd2f23de _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                #8  0x00007fe7cb45160a start_thread (libpthread
Comment 4 Fedora End Of Life 2016-07-19 14:06:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.